Interface CoAPEndpointBuilderFactory.CoAPBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- CoAPEndpointBuilderFactory
public static interface CoAPEndpointBuilderFactory.CoAPBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default CoAPEndpointBuilderFactory.CoAPHeaderNameBuildercoap()CoAP (camel-coap) Send and receive messages to/from COAP capable devices.default CoAPEndpointBuilderFactory.CoAPEndpointBuildercoap(String path)CoAP (camel-coap) Send and receive messages to/from COAP capable devices.default CoAPEndpointBuilderFactory.CoAPEndpointBuildercoap(String componentName, String path)CoAP (camel-coap) Send and receive messages to/from COAP capable devices.default CoAPEndpointBuilderFactory.CoAPEndpointBuildercoaps(String path)CoAP (Secure) (camel-coap) Send and receive messages to/from COAP capable devices.default CoAPEndpointBuilderFactory.CoAPEndpointBuildercoapsTcp(String path)CoAP (camel-coap) Send and receive messages to/from COAP capable devices.default CoAPEndpointBuilderFactory.CoAPEndpointBuildercoapTcp(String path)CoAP (camel-coap) Send and receive messages to/from COAP capable devices.
-
-
-
Method Detail
-
coap
default CoAPEndpointBuilderFactory.CoAPHeaderNameBuilder coap()
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap- Returns:
- the dsl builder for the headers' name.
-
coap
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder coap(String path)
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coap:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-
coap
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder coap(String componentName, String path)
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coap:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- uri- Returns:
- the dsl builder
-
coaps
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder coaps(String path)
CoAP (Secure) (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coaps:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-
coapTcp
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder coapTcp(String path)
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coap+tcp:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-
coapsTcp
default CoAPEndpointBuilderFactory.CoAPEndpointBuilder coapsTcp(String path)
CoAP (camel-coap) Send and receive messages to/from COAP capable devices. Category: iot Since: 2.16 Maven coordinates: org.apache.camel:camel-coap Syntax:coaps+tcp:uriPath parameter: uri The URI for the CoAP endpoint- Parameters:
path- uri- Returns:
- the dsl builder
-
-